Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.interceptor
Class MethodFilterInterceptorUtil

    java.lang.Object
      com.opensymphony.xwork2.interceptor.MethodFilterInterceptorUtil

    public class MethodFilterInterceptorUtil

extends Object

Utility class contains common methods used by `MethodFilterInterceptor`.

Version:
  $Date: 2006-11-23 21:33:15 +0100 (Do, 23 Nov 2006) $ $Id: MethodFilterInterceptorUtil.java 1223 2006-11-23 20:33:15Z rainerh $
Author:
  tm_jee

Constructor Summary
`MethodFilterInterceptorUtil()`

Method Summary
`static boolean` | `applyMethod(Set excludeMethods, Set includeMethods, String method)` Static method to decide if the specified `method` should be apply (not filtered) depending on the set of `excludeMethods` and `includeMethods`.
`static boolean` | `applyMethod(String excludeMethods, String includeMethods, String method)` Same as `applyMethod(Set, Set, String)`, except that `excludeMethods` and `includeMethods` are supplied as comma separated string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodFilterInterceptorUtil

    public MethodFilterInterceptorUtil()

Method Detail

### applyMethod

    public static boolean applyMethod(Set excludeMethods,
                                      Set includeMethods,
                                      String method)

  Static method to decide if the specified `method` should be apply (not filtered) depending on the set of `excludeMethods` and `includeMethods`.

  - `excludeMethods` takes precedence over `includeMethods`

  asterict '*' could be used to indicate all methods.

  Parameters:
    `excludeMethods` -
    `includeMethods` -
  Returns:
    boolean

### applyMethod

    public static boolean applyMethod(String excludeMethods,
                                      String includeMethods,
                                      String method)

  Same as `applyMethod(Set, Set, String)`, except that `excludeMethods` and `includeMethods` are supplied as comma separated string.

  Parameters:
    `excludeMethods` -
    `includeMethods` -
    `method` -
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.